• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
How to configure NetBeans 11 for CodeIgniter 3.1.10 ?

#1
Salut ! I personnally use NetBeans 11 as main IDE, but it's seems that the plugin for CI is abandoned (not touched since 2016 on github). I still tried to install by following this tuto : Customize Netbeans IDE for CodeIgniter. When I chose the "Base file" it said "Unsupported version".
But version of what ?
Is it the IDE that isn't supported by the plug-in (NetBeans 11) ?
Or is it the CI version that isn't supported by the plugin (CI 3.1.10) ?
The plug-in itself seems to be install (at least partially) because I have the menu and the framework referenced in the IDE.

If it's impossible to use CI on Netbeans what alternative IDE can I use ?
Reply

#2
The NetBeans plugin was started back with NetBeans 8, but never completed.
The repository was left up in case the code might be of use to anyone, but with no guarantees.

I use NetBeans 10 with CI3 & 4 just fine. Out of the box, it has code completion, support for PHP7, etc.
Reply

#3
Thanks. Yeah after a restart everything looks good (so far).
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2019 MyBB Group.